summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/kdebase/debian/ksmserver-trinity.postrm
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2019-04-03 18:05:50 +0200
committerSlávek Banko <slavek.banko@axis.cz>2019-04-03 18:05:50 +0200
commitaf5c905ec49085b7c396caf2c5166f0c34cbeb3f (patch)
tree56463d31ace48f127ed61169fdc2b4b8aedfcc56 /ubuntu/_base/kdebase/debian/ksmserver-trinity.postrm
parente43172a6e74706afc06ff8d11cbfa769bc949cc1 (diff)
downloadtde-packaging-af5c905ec49085b7c396caf2c5166f0c34cbeb3f.tar.gz
tde-packaging-af5c905ec49085b7c396caf2c5166f0c34cbeb3f.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'ubuntu/_base/kdebase/debian/ksmserver-trinity.postrm')
-rw-r--r--ubuntu/_base/kdebase/debian/ksmserver-trinity.postrm28
1 files changed, 28 insertions, 0 deletions
diff --git a/ubuntu/_base/kdebase/debian/ksmserver-trinity.postrm b/ubuntu/_base/kdebase/debian/ksmserver-trinity.postrm
new file mode 100644
index 000000000..424143ebe
--- /dev/null
+++ b/ubuntu/_base/kdebase/debian/ksmserver-trinity.postrm
@@ -0,0 +1,28 @@
+#! /bin/sh -e
+
+package_name=ksmserver-trinity
+
+case "$1" in
+ remove)
+ # Intrepid plasma
+ dpkg-divert --package $package_name \
+ --rename --remove /usr/bin/plasma
+
+ # Jaunty plasma-desktop
+ dpkg-divert --package $package_name \
+ --rename --remove /usr/bin/plasma-desktop
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0